/*
   PCD8544 - Interface with Philips PCD8544 (or compatible) LCDs.

   Copyright (c) 2010 Carlos Rodrigues <cefrodrigues@gmail.com>

   To use this sketch, connect the eight pins from your LCD like this:

   Pin 1 -> +3.3V (rightmost, when facing the display head-on)
   Pin 2 -> Arduino digital pin 3
   Pin 3 -> Arduino digital pin 4
   Pin 4 -> Arduino digital pin 5
   Pin 5 -> Arduino digital pin 7
   Pin 6 -> Ground
   Pin 7 -> 10uF capacitor -> Ground
   Pin 8 -> Arduino digital pin 6

   Since these LCDs are +3.3V devices, you have to add extra components to
   connect it to the digital pins of the Arduino (not necessary if you are
   using a 3.3V variant of the Arduino, such as Sparkfun's Arduino Pro).
*/
//************************************************************************
#include <PCD8544.h>
//************************************************************************
//a custom picture - smile
static const byte glyph[] = { B00010001, B00100000, B00101100, B00100000, B00010001 };

static PCD8544 lcd;
//************************************************************************
void setup() {
  // PCD8544-compatible displays may have a different resolution...
  lcd.begin(84, 48);
  // Add the smile to position "0" of the ASCII table...
  lcd.createChar(0, glyph);
}


void loop() {
  // Write a piece of text on the first line...
  lcd.setCursor(0, 0);
  lcd.print("Welcome to");
  lcd.setCursor(0, 1);
  lcd.print("Acoptex.com!!!");

  //writes the smile on the second line...
  lcd.setCursor(0, 3);
  lcd.write(0);  //smile
  
  //writes the counter on the third line...
  static int counter = 0;
  lcd.setCursor(0, 5);
  lcd.print(counter, DEC);//counter

  //  Use a potentiometer to set the LCD contrast...
  short level = map(analogRead(A0), 0, 1023, 0, 127);
  lcd.setContrast(level);

  delay(200);
  counter++;
}
